// SPDX-FileCopyrightText: 2024 John Livingston <https://www.john-livingston.fr/>
//
// SPDX-License-Identifier: AGPL-3.0-only

declare const PLUGIN_CHAT_PACKAGE_NAME: string
declare const PLUGIN_CHAT_SHORT_NAME: string

// Constants that begins with "MUSTACHE_" are mustache templates, and are built by build-client.js.
declare const MUSTACHE_CONFIGURATION_HOME: string
declare const MUSTACHE_CONFIGURATION_CHANNEL: string

// Constants that begins with "LOC_" are loaded by build-client.js, reading the english locale file.
// See the online documentation: https://livingston.frama.io/peertube-plugin-livechat/contributing/translate/
declare const LOC_ONLINE_HELP: string
declare const LOC_OPEN_CHAT: string
declare const LOC_OPEN_CHAT_NEW_WINDOW: string
declare const LOC_CLOSE_CHAT: string
declare const LOC_USE_CHAT: string
declare const LOC_USE_CHAT_HELP: string
declare const LOC_SHARE_CHAT_LINK: string
declare const LOC_READ_ONLY: string
declare const LOC_SHOW_SCROLLBARR: string
declare const LOC_TRANSPARENT_BACKGROUND: string
declare const LOC_TIPS_FOR_STREAMERS: string
declare const LOC_COPY: string
declare const LOC_COPIED: string
declare const LOC_LINK_COPIED: string
declare const LOC_ERROR: string
declare const LOC_OPEN: string
declare const LOC_USE_CURRENT_THEME_COLOR: string
declare const LOC_GENERATE_IFRAME: string
declare const LOC_CHAT_FOR_LIVE_STREAM: string
declare const LOC_ROOM_NAME: string
declare const LOC_ROOM_DESCRIPTION: string
declare const LOC_NOT_FOUND: string
declare const LOC_VIDEO: string
declare const LOC_CHANNEL: string
declare const LOC_LAST_ACTIVITY: string
declare const LOC_WEB: string
declare const LOC_CONNECT_USING_XMPP: string
declare const LOC_CONNECT_USING_XMPP_HELP: string

declare const LOC_SAVE: string
declare const LOC_CANCEL: string
declare const LOC_SUCCESSFULLY_SAVED: string
declare const LOC_MENU_CONFIGURATION_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_TITLE: string
declare const LOC_LIVECHAT_CONFIGURATION_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_PLEASE_SELECT: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_TITLE: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_SLOW_MODE_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_SLOW_MODE_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_ENABLE_BOT_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_BOT_OPTIONS_TITLE: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_DESC2: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_REASON_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_REASON_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_REGEXP_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_REGEXP_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_APPLYTOMODERATORS_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_APPLYTOMODERATORS_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_LABEL_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_LABEL_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_COMMENTS_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FORBIDDEN_WORDS_COMMENTS_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_COMMAND_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_COMMAND_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_COMMAND_CMD_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_COMMAND_CMD_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_COMMAND_MESSAGE_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_COMMAND_MESSAGE_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_QUOTE_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_QUOTE_LABEL2: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_QUOTE_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_QUOTE_DESC2: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_QUOTE_DELAY_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_QUOTE_DELAY_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_BANNED_JIDS_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_BOT_NICKNAME: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_FOR_MORE_INFO: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_MUTE_ANONYMOUS_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_MUTE_ANONYMOUS_DESC: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_TERMS_LABEL: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_TERMS_DESC: string

declare const LOC_VALIDATION_ERROR: string
declare const LOC_TOO_MANY_ENTRIES: string
declare const LOC_INVALID_VALUE: string
declare const LOC_INVALID_VALUE_MISSING: string
declare const LOC_INVALID_VALUE_WRONG_TYPE: string
declare const LOC_INVALID_VALUE_WRONG_FORMAT: string
declare const LOC_INVALID_VALUE_NOT_IN_RANGE: string
declare const LOC_INVALID_VALUE_FILE_TOO_BIG: string
declare const LOC_INVALID_VALUE_DUPLICATE: string
declare const LOC_INVALID_VALUE_TOO_LONG: string

declare const LOC_CHATROOM_NOT_ACCESSIBLE: string

declare const LOC_PROMOTE: string

declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_EMOJIS_TITLE: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_EMOJIS_DESC: string
declare const LOC_LIVECHAT_EMOJIS_SHORTNAME: string
declare const LOC_LIVECHAT_EMOJIS_SHORTNAME_DESC: string
declare const LOC_LIVECHAT_EMOJIS_FILE: string
declare const LOC_LIVECHAT_EMOJIS_FILE_DESC: string

declare const LOC_ACTION_IMPORT: string
declare const LOC_ACTION_EXPORT: string
declare const LOC_ACTION_IMPORT_EMOJIS_INFO: string
declare const LOC_ACTION_ADD_ENTRY: string
declare const LOC_ACTION_REMOVE_ENTRY: string
declare const LOC_ACTION_REMOVE_ENTRY_CONFIRM: string

declare const LOC_LOADING_ERROR: string

declare const LOC_SHARE_CHAT_EMBED: string
declare const LOC_SHARE_CHAT_PEERTUBE_TIPS: string
declare const LOC_SHARE_CHAT_DOCK: string
declare const LOC_SHARE_CHAT_DOCK_TIPS: string
declare const LOC_TOKEN_LABEL: string
declare const LOC_TOKEN_PASSWORD: string
declare const LOC_TOKEN_DATE: string
declare const LOC_TOKEN_ACTION_CREATE: string
declare const LOC_TOKEN_ACTION_REVOKE: string
declare const LOC_TOKEN_DEFAULT_LABEL: string
declare const LOC_TOKEN_ACTION_REVOKE_CONFIRM: string

declare const LOC_POLL_VOTE_OK: string

declare const LOC_MODERATION_DELAY: string
declare const LOC_LIVECHAT_CONFIGURATION_CHANNEL_MODERATION_DELAY_DESC: string
